Skip to content
Start here

List logo matches

GET/accounts/{account_id}/cloudforce-one/v2/brand-protection/logo/matches

Get paginated list of logo matches for a specific brand protection logo query

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Cloudforce One WriteCloudforce One Read
Path ParametersExpand Collapse
account_id: string
minLength1
Query ParametersExpand Collapse
query_id: string
minLength1
download: optional string
limit: optional string
offset: optional string
order: optional "asc" or "desc"

Sort order. Options: ‘asc’ (ascending) or ‘desc’ (descending)

One of the following:
"asc"
"desc"
orderBy: optional "matchedAt" or "domain" or "similarityScore" or "registrar"

Column to sort by. Options: ‘matchedAt’, ‘domain’, ‘similarityScore’, or ‘registrar’

One of the following:
"matchedAt"
"domain"
"similarityScore"
"registrar"
ReturnsExpand Collapse
matches: array of { id, domain, matched_at, 6 more }
id: number
domain: string
matched_at: string
query_id: number
registrar: string
similarity_score: number
url_scan_id: string
content_type: optional string
image_data: optional string
total: number
minimum0

List logo matches

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/v2/brand-protection/logo/matches \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "id": 0,
      "domain": "domain",
      "matched_at": "matched_at",
      "query_id": 0,
      "registrar": "registrar",
      "similarity_score": 0,
      "url_scan_id": "url_scan_id",
      "content_type": "content_type",
      "image_data": "image_data"
    }
  ],
  "total": 0
}